// import React from 'react'
import {
    Col, Flex, Row,
    //  Select, 
    Button, Form, Input
} from "antd";

import './EditModal.css'
// const { TextArea } = Input;
export default function EditModal() {
    const [form] = Form.useForm();
    return (
        <div className='editModal'>
            <div className='editModal-title'>
                <div className='editModal-title-box'></div>
                <div className='editModal-title-name'>软著信息</div>
            </div>
            <div className="form-body" style={{ marginTop: 39 }}>
                <Form
                    name="basic"
                    form={form}
                    layout="vertical"
                    labelCol={{ span: 8 }}
                    wrapperCol={{ span: 24 }}
                    // style={{ width: '600px' }}
                    // onFinish={() => {
                    //     setIsEditModalOpen(true);
                    // }}
                    autoComplete="off"
                >
                    <Row gutter={15}>

                        <Col span={12}>

                            <Form.Item
                                label="软著名称"
                                name=""
                                rules={[{ required: true, message: '请输入软著名称' }]}
                            >
                                <Input
                                    style={{ height: '60px', width: '498px', fontSize: '16px' }}
                                />
                            </Form.Item>

                        </Col>
                        <Col span={12}>
                            <Form.Item
                                label="软著图片"
                                name=""
                                rules={[{ required: true, message: '请上传软著图片' }]}
                            >
                                <div className="editModal-img-box">

                                </div>
                            </Form.Item>

                        </Col>



                    </Row>
                    <div style={{display:'flex'}}>
                        <div>
                            <Row gutter={15}>
                                <Col span={12}>

                                    <Form.Item
                                        label="软著简称"
                                        name=""
                                        rules={[{ required: true, message: '请输入软著简称' }]}
                                    >
                                        <Input
                                            style={{ height: '60px', width: '498px', fontSize: '16px' }}
                                        />
                                    </Form.Item>

                                </Col>

                            </Row>
                            <Row gutter={15}>
                                <Col span={12}>
                                    <Form.Item
                                        label="软著证号"
                                        name=""
                                        rules={[{ required: true, message: '请输入软著证号' }]}
                                    >
                                        <Input
                                            style={{ height: '60px', width: '498px', fontSize: '16px' }}
                                        />
                                    </Form.Item>

                                </Col>

                            </Row>
                        </div>
                        <div style={{marginLeft:30}}>
                            <Row gutter={15}>
                                <Col span={12}>
                                    <Form.Item
                                        label="软著说明"
                                        name=""
                                        rules={[{ required: true, message: '请输入软著说明' }]}
                                    >
                                        <Input
                                            style={{ height: '60px', width: '498px', fontSize: '16px' }}
                                        />
                                    </Form.Item>

                                </Col>

                            </Row>
                        </div>
                    </div>

                    {/* <Row gutter={15}>
                        <Col span={24}>
                            <div className='projNameInt'>
                                <div className='projTitle '><span className='redicon'>*</span> 项目简介:</div>
                                <div style={{ width: '1250px' }}>

                                    <Form.Item
                                        // label="项目简介"
                                        name="projIntroduction"
                                        rules={[{ required: true, message: '请输入项目简介' }]}
                                    >
                                        <TextArea
                                            style={{ resize: 'none', width: "1215px", height: '200px', fontSize: '16px' }}
                                            rows={3} placeholder="请用一段话简单描述系统"
                                        />
                                    </Form.Item>
                                </div>

                            </div>
                        </Col>
                    </Row>
                    <Row gutter={15}>


                    </Row>
                    <Row gutter={15}>
                        <Col span={24}>
                            <div className='projNameInt' >
                                <div className='projTitle '><span className='redicon'>*</span> 项目详细介绍:</div>
                                <div style={{ width: '1250px' }}>
                                    <Form.Item
                                        // label="项目详细介绍"
                                        name="projDesc"
                                        extra="请对项目做出详细介绍，此内容在操作手册中引用"
                                        rules={[{ required: true, message: '请输入项目详细介绍' }]}
                                    >
                                        <TextArea
                                            style={{ resize: 'none', width: "1215px", height: '200px', fontSize: '16px' }}
                                            rows={8} placeholder="请输入项目详细介绍" />
                                    </Form.Item>
                                </div>
                            </div>

                        </Col>
                    </Row> */}

                    <div className='setProBtn'>
                        <Form.Item wrapperCol={{ span: 24 }}>
                            <Flex align="center" justify="center" gap="large">
                                <Button type="default" htmlType="button"
                                    // style={{ width: '262px', height: '58px', fontSize: '16px', color: '#4B4B4B', background: '#EEEEEE' }}
                                    size='large'
                                    onClick={() => {


                                    }}>
                                    关闭
                                </Button>
                                <Button type="primary"
                                    htmlType="submit"
                                    // style={{ width: '262px', height: '58px', fontSize: '16px', color: '#FDFDF2', backgroundColor: 'var(--color-primary)' }}
                                    size='large'
                                >
                                    保存
                                </Button>

                            </Flex>
                        </Form.Item>
                    </div>
                </Form>
            </div>
        </div>
    )
}
